unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, SchmCntr, SMDB;

type
  TfrmMain = class(TForm)
    lblHomepage: TLabel;
    pnlHeader: TPanel;
    gbSQL: TGroupBox;
    memoSQL: TMemo;
    lblDBServer: TLabel;
    cbDBServer: TComboBox;
    btnSQLBuilder: TButton;
    SchemaBDEDataEngine1: TSchemaBDEDataEngine;
    procedure lblHomepageClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnSQLBuilderClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}
{$R winxp.res}
uses ShellAPI, SQLBldr;

procedure TfrmMain.lblHomepageClick(Sender: TObject);
begin
  ShellExecute(0, 'open', PChar((Sender as TLabel).Caption), nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  cbDBServer.ItemIndex := 0
end;

procedure TfrmMain.btnSQLBuilderClick(Sender: TObject);
var
  s: string;
begin
  SchemaBDEDataEngine1.SQLSubType := TSQLSubType(cbDBServer.ItemIndex);
  s := memoSQL.Lines.Text;
  if SQLBuilder(s, SchemaBDEDataEngine1) then
    memoSQL.Lines.Text := s
end;

end.
